Generation Framework

## org.eclipse.gmf.codegen.gmfgen.impl
Class GenDiagramPreferencesImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.gmf.codegen.gmfgen.impl.GenDiagramPreferencesImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, GenDiagramPreferences

    public class GenDiagramPreferencesImpl

extends org.eclipse.emf.ecore.impl.EObjectImpl
implements GenDiagramPreferences

An implementation of the model object 'Gen Diagram Preferences'.

The following features are implemented:

- `Line Style`
- `Default Font`
- `Font Color`
- `Fill Color`
- `Line Color`
- `Note Fill Color`
- `Note Line Color`
- `Show Connection Handles`
- `Show Popup Bars`
- `Prompt On Del From Model`
- `Prompt On Del From Diagram`
- `Enable Animated Layout`
- `Enable Animated Zoom`
- `Enable Anti Alias`
- `Show Grid`
- `Show Rulers`
- `Snap To Grid`
- `Ruler Units`
- `Grid Spacing`

** Generated **

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary
`protected GenFont` `defaultFont` The cached value of the '`Default Font`' containment reference
`protected static boolean` `ENABLE_ANIMATED_LAYOUT_EDEFAULT` The default value of the '`Enable Animated Layout`' attribute
`protected static boolean` `ENABLE_ANIMATED_ZOOM_EDEFAULT` The default value of the '`Enable Animated Zoom`' attribute
`protected static boolean` `ENABLE_ANTI_ALIAS_EDEFAULT` The default value of the '`Enable Anti Alias`' attribute
`protected boolean` `enableAnimatedLayout` The cached value of the '`Enable Animated Layout`' attribute
`protected boolean` `enableAnimatedZoom` The cached value of the '`Enable Animated Zoom`' attribute
`protected boolean` `enableAntiAlias` The cached value of the '`Enable Anti Alias`' attribute
`protected GenColor` `fillColor` The cached value of the '`Fill Color`' containment reference
`protected GenColor` `fontColor` The cached value of the '`Font Color`' containment reference
`protected static double` `GRID_SPACING_EDEFAULT` The default value of the '`Grid Spacing`' attribute
`protected double` `gridSpacing` The cached value of the '`Grid Spacing`' attribute
`protected static Routing` `LINE_STYLE_EDEFAULT` The default value of the '`Line Style`' attribute
`protected GenColor` `lineColor` The cached value of the '`Line Color`' containment reference
`protected Routing` `lineStyle` The cached value of the '`Line Style`' attribute
`protected GenColor` `noteFillColor` The cached value of the '`Note Fill Color`' containment reference
`protected GenColor` `noteLineColor` The cached value of the '`Note Line Color`' containment reference
`protected static boolean` `PROMPT_ON_DEL_FROM_DIAGRAM_EDEFAULT` The default value of the '`Prompt On Del From Diagram`' attribute
`protected static boolean` `PROMPT_ON_DEL_FROM_MODEL_EDEFAULT` The default value of the '`Prompt On Del From Model`' attribute
`protected boolean` `promptOnDelFromDiagram` The cached value of the '`Prompt On Del From Diagram`' attribute
`protected boolean` `promptOnDelFromModel` The cached value of the '`Prompt On Del From Model`' attribute
`protected static RulerUnits` `RULER_UNITS_EDEFAULT` The default value of the '`Ruler Units`' attribute
`protected RulerUnits` `rulerUnits` The cached value of the '`Ruler Units`' attribute
`protected static boolean` `SHOW_CONNECTION_HANDLES_EDEFAULT` The default value of the '`Show Connection Handles`' attribute
`protected static boolean` `SHOW_GRID_EDEFAULT` The default value of the '`Show Grid`' attribute
`protected static boolean` `SHOW_POPUP_BARS_EDEFAULT` The default value of the '`Show Popup Bars`' attribute
`protected static boolean` `SHOW_RULERS_EDEFAULT` The default value of the '`Show Rulers`' attribute
`protected boolean` `showConnectionHandles` The cached value of the '`Show Connection Handles`' attribute
`protected boolean` `showGrid` The cached value of the '`Show Grid`' attribute
`protected boolean` `showPopupBars` The cached value of the '`Show Popup Bars`' attribute
`protected boolean` `showRulers` The cached value of the '`Show Rulers`' attribute
`protected static boolean` `SNAP_TO_GRID_EDEFAULT` The default value of the '`Snap To Grid`' attribute
`protected boolean` `snapToGrid` The cached value of the '`Snap To Grid`' attribute

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `GenDiagramPreferencesImpl()`

Method Summary
`org.eclipse.emf.common.notify.NotificationChain` `basicSetDefaultFont(GenFont newDefaultFont, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` `basicSetFillColor(GenColor newFillColor, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` `basicSetFontColor(GenColor newFontColor, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` `basicSetLineColor(GenColor newLineColor, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` `basicSetNoteFillColor(GenColor newNoteFillColor, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` `basicSetNoteLineColor(GenColor newNoteLineColor, org.eclipse.emf.common.notify.NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected org.eclipse.emf.ecore.EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`GenFont` `getDefaultFont()`
`GenColor` `getFillColor()`
`GenColor` `getFontColor()`
`double` `getGridSpacing()`
`GenColor` `getLineColor()`
`Routing` `getLineStyle()`
`GenColor` `getNoteFillColor()`
`GenColor` `getNoteLineColor()`
`RulerUnits` `getRulerUnits()`
`boolean` `isEnableAnimatedLayout()`
`boolean` `isEnableAnimatedZoom()`
`boolean` `isEnableAntiAlias()`
`boolean` `isPromptOnDelFromDiagram()`
`boolean` `isPromptOnDelFromModel()`
`boolean` `isShowConnectionHandles()`
`boolean` `isShowGrid()`
`boolean` `isShowPopupBars()`
`boolean` `isShowRulers()`
`boolean` `isSnapToGrid()`
`void` `setDefaultFont(GenFont newDefaultFont)`
`void` `setEnableAnimatedLayout(boolean newEnableAnimatedLayout)`
`void` `setEnableAnimatedZoom(boolean newEnableAnimatedZoom)`
`void` `setEnableAntiAlias(boolean newEnableAntiAlias)`
`void` `setFillColor(GenColor newFillColor)`
`void` `setFontColor(GenColor newFontColor)`
`void` `setGridSpacing(double newGridSpacing)`
`void` `setLineColor(GenColor newLineColor)`
`void` `setLineStyle(Routing newLineStyle)`
`void` `setNoteFillColor(GenColor newNoteFillColor)`
`void` `setNoteLineColor(GenColor newNoteLineColor)`
`void` `setPromptOnDelFromDiagram(boolean newPromptOnDelFromDiagram)`
`void` `setPromptOnDelFromModel(boolean newPromptOnDelFromModel)`
`void` `setRulerUnits(RulerUnits newRulerUnits)`
`void` `setShowConnectionHandles(boolean newShowConnectionHandles)`
`void` `setShowGrid(boolean newShowGrid)`
`void` `setShowPopupBars(boolean newShowPopupBars)`
`void` `setShowRulers(boolean newShowRulers)`
`void` `setSnapToGrid(boolean newSnapToGrid)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### LINE_STYLE_EDEFAULT

    protected static final Routing LINE_STYLE_EDEFAULT

  The default value of the '`Line Style`' attribute.

  See Also:
    `getLineStyle()`
  ** Generated **
  Ordered:

### lineStyle

    protected Routing lineStyle

  The cached value of the '`Line Style`' attribute.

  See Also:
    `getLineStyle()`
  ** Generated **
  Ordered:

### defaultFont

    protected GenFont defaultFont

  The cached value of the '`Default Font`' containment reference.

  See Also:
    `getDefaultFont()`
  ** Generated **
  Ordered:

### fontColor

    protected GenColor fontColor

  The cached value of the '`Font Color`' containment reference.

  See Also:
    `getFontColor()`
  ** Generated **
  Ordered:

### fillColor

    protected GenColor fillColor

  The cached value of the '`Fill Color`' containment reference.

  See Also:
    `getFillColor()`
  ** Generated **
  Ordered:

### lineColor

    protected GenColor lineColor

  The cached value of the '`Line Color`' containment reference.

  See Also:
    `getLineColor()`
  ** Generated **
  Ordered:

### noteFillColor

    protected GenColor noteFillColor

  The cached value of the '`Note Fill Color`' containment reference.

  See Also:
    `getNoteFillColor()`
  ** Generated **
  Ordered:

### noteLineColor

    protected GenColor noteLineColor

  The cached value of the '`Note Line Color`' containment reference.

  See Also:
    `getNoteLineColor()`
  ** Generated **
  Ordered:

### SHOW_CONNECTION_HANDLES_EDEFAULT

    protected static final boolean SHOW_CONNECTION_HANDLES_EDEFAULT

  The default value of the '`Show Connection Handles`' attribute.

  See Also:
    `isShowConnectionHandles()`, Constant Field Values
  ** Generated **
  Ordered:

### showConnectionHandles

    protected boolean showConnectionHandles

  The cached value of the '`Show Connection Handles`' attribute.

  See Also:
    `isShowConnectionHandles()`
  ** Generated **
  Ordered:

### SHOW_POPUP_BARS_EDEFAULT

    protected static final boolean SHOW_POPUP_BARS_EDEFAULT

  The default value of the '`Show Popup Bars`' attribute.

  See Also:
    `isShowPopupBars()`, Constant Field Values
  ** Generated **
  Ordered:

### showPopupBars

    protected boolean showPopupBars

  The cached value of the '`Show Popup Bars`' attribute.

  See Also:
    `isShowPopupBars()`
  ** Generated **
  Ordered:

### PROMPT_ON_DEL_FROM_MODEL_EDEFAULT

    protected static final boolean PROMPT_ON_DEL_FROM_MODEL_EDEFAULT

  The default value of the '`Prompt On Del From Model`' attribute.

  See Also:
    `isPromptOnDelFromModel()`, Constant Field Values
  ** Generated **
  Ordered:

### promptOnDelFromModel

    protected boolean promptOnDelFromModel

  The cached value of the '`Prompt On Del From Model`' attribute.

  See Also:
    `isPromptOnDelFromModel()`
  ** Generated **
  Ordered:

### PROMPT_ON_DEL_FROM_DIAGRAM_EDEFAULT

    protected static final boolean PROMPT_ON_DEL_FROM_DIAGRAM_EDEFAULT

  The default value of the '`Prompt On Del From Diagram`' attribute.

  See Also:
    `isPromptOnDelFromDiagram()`, Constant Field Values
  ** Generated **
  Ordered:

### promptOnDelFromDiagram

    protected boolean promptOnDelFromDiagram

  The cached value of the '`Prompt On Del From Diagram`' attribute.

  See Also:
    `isPromptOnDelFromDiagram()`
  ** Generated **
  Ordered:

### ENABLE_ANIMATED_LAYOUT_EDEFAULT

    protected static final boolean ENABLE_ANIMATED_LAYOUT_EDEFAULT

  The default value of the '`Enable Animated Layout`' attribute.

  See Also:
    `isEnableAnimatedLayout()`, Constant Field Values
  ** Generated **
  Ordered:

### enableAnimatedLayout

    protected boolean enableAnimatedLayout

  The cached value of the '`Enable Animated Layout`' attribute.

  See Also:
    `isEnableAnimatedLayout()`
  ** Generated **
  Ordered:

### ENABLE_ANIMATED_ZOOM_EDEFAULT

    protected static final boolean ENABLE_ANIMATED_ZOOM_EDEFAULT

  The default value of the '`Enable Animated Zoom`' attribute.

  See Also:
    `isEnableAnimatedZoom()`, Constant Field Values
  ** Generated **
  Ordered:

### enableAnimatedZoom

    protected boolean enableAnimatedZoom

  The cached value of the '`Enable Animated Zoom`' attribute.

  See Also:
    `isEnableAnimatedZoom()`
  ** Generated **
  Ordered:

### ENABLE_ANTI_ALIAS_EDEFAULT

    protected static final boolean ENABLE_ANTI_ALIAS_EDEFAULT

  The default value of the '`Enable Anti Alias`' attribute.

  See Also:
    `isEnableAntiAlias()`, Constant Field Values
  ** Generated **
  Ordered:

### enableAntiAlias

    protected boolean enableAntiAlias

  The cached value of the '`Enable Anti Alias`' attribute.

  See Also:
    `isEnableAntiAlias()`
  ** Generated **
  Ordered:

### SHOW_GRID_EDEFAULT

    protected static final boolean SHOW_GRID_EDEFAULT

  The default value of the '`Show Grid`' attribute.

  See Also:
    `isShowGrid()`, Constant Field Values
  ** Generated **
  Ordered:

### showGrid

    protected boolean showGrid

  The cached value of the '`Show Grid`' attribute.

  See Also:
    `isShowGrid()`
  ** Generated **
  Ordered:

### SHOW_RULERS_EDEFAULT

    protected static final boolean SHOW_RULERS_EDEFAULT

  The default value of the '`Show Rulers`' attribute.

  See Also:
    `isShowRulers()`, Constant Field Values
  ** Generated **
  Ordered:

### showRulers

    protected boolean showRulers

  The cached value of the '`Show Rulers`' attribute.

  See Also:
    `isShowRulers()`
  ** Generated **
  Ordered:

### SNAP_TO_GRID_EDEFAULT

    protected static final boolean SNAP_TO_GRID_EDEFAULT

  The default value of the '`Snap To Grid`' attribute.

  See Also:
    `isSnapToGrid()`, Constant Field Values
  ** Generated **
  Ordered:

### snapToGrid

    protected boolean snapToGrid

  The cached value of the '`Snap To Grid`' attribute.

  See Also:
    `isSnapToGrid()`
  ** Generated **
  Ordered:

### RULER_UNITS_EDEFAULT

    protected static final RulerUnits RULER_UNITS_EDEFAULT

  The default value of the '`Ruler Units`' attribute.

  See Also:
    `getRulerUnits()`
  ** Generated **
  Ordered:

### rulerUnits

    protected RulerUnits rulerUnits

  The cached value of the '`Ruler Units`' attribute.

  See Also:
    `getRulerUnits()`
  ** Generated **
  Ordered:

### GRID_SPACING_EDEFAULT

    protected static final double GRID_SPACING_EDEFAULT

  The default value of the '`Grid Spacing`' attribute.

  See Also:
    `getGridSpacing()`, Constant Field Values
  ** Generated **
    NOT
  Ordered:

### gridSpacing

    protected double gridSpacing

  The cached value of the '`Grid Spacing`' attribute.

  See Also:
    `getGridSpacing()`
  ** Generated **
  Ordered:

Constructor Detail

### GenDiagramPreferencesImpl

    protected GenDiagramPreferencesImpl()

  ** Generated **

Method Detail

### eStaticClass

    protected org.eclipse.emf.ecore.EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `org.eclipse.emf.ecore.impl.EObjectImpl`
  ** Generated **

### getLineStyle

    public Routing getLineStyle()

  Specified by:
    `getLineStyle` in interface `GenDiagramPreferences`
  Returns:
    the value of the 'Line Style' attribute.
  See Also:
    `Routing`, `GenDiagramPreferences.setLineStyle(Routing)`, `GMFGenPackage.getGenDiagramPreferences_LineStyle()`
  ** Generated **

### setLineStyle

    public void setLineStyle(Routing newLineStyle)

  Specified by:
    `setLineStyle` in interface `GenDiagramPreferences`
  Parameters:
    `newLineStyle` - the new value of the 'Line Style' attribute.
  See Also:
    `Routing`, `GenDiagramPreferences.getLineStyle()`
  ** Generated **

### getDefaultFont

    public GenFont getDefaultFont()

  Specified by:
    `getDefaultFont` in interface `GenDiagramPreferences`
  Returns:
    the value of the 'Default Font' containment reference.
  See Also:
    `GenDiagramPreferences.setDefaultFont(GenFont)`, `GMFGenPackage.getGenDiagramPreferences_DefaultFont()`
  ** Generated **

### basicSetDefaultFont

    public org.eclipse.emf.common.notify.NotificationChain basicSetDefaultFont(GenFont newDefaultFont,
                                                                               org.eclipse.emf.common.notify.NotificationChain msgs)

  ** Generated **

### setDefaultFont

    public void setDefaultFont(GenFont newDefaultFont)

  Specified by:
    `setDefaultFont` in interface `GenDiagramPreferences`
  Parameters:
    `newDefaultFont` - the new value of the 'Default Font' containment reference.
  See Also:
    `GenDiagramPreferences.getDefaultFont()`
  ** Generated **

### getFontColor

    public GenColor getFontColor()

  Specified by:
    `getFontColor` in interface `GenDiagramPreferences`
  Returns:
    the value of the 'Font Color' containment reference.
  See Also:
    `GenDiagramPreferences.setFontColor(GenColor)`, `GMFGenPackage.getGenDiagramPreferences_FontColor()`
  ** Generated **

### basicSetFontColor

    public org.eclipse.emf.common.notify.NotificationChain basicSetFontColor(GenColor newFontColor,
                                                                             org.eclipse.emf.common.notify.NotificationChain msgs)

  ** Generated **

### setFontColor

    public void setFontColor(GenColor newFontColor)

  Specified by:
    `setFontColor` in interface `GenDiagramPreferences`
  Parameters:
    `newFontColor` - the new value of the 'Font Color' containment reference.
  See Also:
    `GenDiagramPreferences.getFontColor()`
  ** Generated **

### getFillColor

    public GenColor getFillColor()

  Specified by:
    `getFillColor` in interface `GenDiagramPreferences`
  Returns:
    the value of the 'Fill Color' containment reference.
  See Also:
    `GenDiagramPreferences.setFillColor(GenColor)`, `GMFGenPackage.getGenDiagramPreferences_FillColor()`
  ** Generated **

### basicSetFillColor

    public org.eclipse.emf.common.notify.NotificationChain basicSetFillColor(GenColor newFillColor,
                                                                             org.eclipse.emf.common.notify.NotificationChain msgs)

  ** Generated **

### setFillColor

    public void setFillColor(GenColor newFillColor)

  Specified by:
    `setFillColor` in interface `GenDiagramPreferences`
  Parameters:
    `newFillColor` - the new value of the 'Fill Color' containment reference.
  See Also:
    `GenDiagramPreferences.getFillColor()`
  ** Generated **

### getLineColor

    public GenColor getLineColor()

  Specified by:
    `getLineColor` in interface `GenDiagramPreferences`
  Returns:
    the value of the 'Line Color' containment reference.
  See Also:
    `GenDiagramPreferences.setLineColor(GenColor)`, `GMFGenPackage.getGenDiagramPreferences_LineColor()`
  ** Generated **

### basicSetLineColor

    public org.eclipse.emf.common.notify.NotificationChain basicSetLineColor(GenColor newLineColor,
                                                                             org.eclipse.emf.common.notify.NotificationChain msgs)

  ** Generated **

### setLineColor

    public void setLineColor(GenColor newLineColor)

  Specified by:
    `setLineColor` in interface `GenDiagramPreferences`
  Parameters:
    `newLineColor` - the new value of the 'Line Color' containment reference.
  See Also:
    `GenDiagramPreferences.getLineColor()`
  ** Generated **

### getNoteFillColor

    public GenColor getNoteFillColor()

  Specified by:
    `getNoteFillColor` in interface `GenDiagramPreferences`
  Returns:
    the value of the 'Note Fill Color' containment reference.
  See Also:
    `GenDiagramPreferences.setNoteFillColor(GenColor)`, `GMFGenPackage.getGenDiagramPreferences_NoteFillColor()`
  ** Generated **

### basicSetNoteFillColor

    public org.eclipse.emf.common.notify.NotificationChain basicSetNoteFillColor(GenColor newNoteFillColor,
                                                                                 org.eclipse.emf.common.notify.NotificationChain msgs)

  ** Generated **

### setNoteFillColor

    public void setNoteFillColor(GenColor newNoteFillColor)

  Specified by:
    `setNoteFillColor` in interface `GenDiagramPreferences`
  Parameters:
    `newNoteFillColor` - the new value of the 'Note Fill Color' containment reference.
  See Also:
    `GenDiagramPreferences.getNoteFillColor()`
  ** Generated **

### getNoteLineColor

    public GenColor getNoteLineColor()

  Specified by:
    `getNoteLineColor` in interface `GenDiagramPreferences`
  Returns:
    the value of the 'Note Line Color' containment reference.
  See Also:
    `GenDiagramPreferences.setNoteLineColor(GenColor)`, `GMFGenPackage.getGenDiagramPreferences_NoteLineColor()`
  ** Generated **

### basicSetNoteLineColor

    public org.eclipse.emf.common.notify.NotificationChain basicSetNoteLineColor(GenColor newNoteLineColor,
                                                                                 org.eclipse.emf.common.notify.NotificationChain msgs)

  ** Generated **

### setNoteLineColor

    public void setNoteLineColor(GenColor newNoteLineColor)

  Specified by:
    `setNoteLineColor` in interface `GenDiagramPreferences`
  Parameters:
    `newNoteLineColor` - the new value of the 'Note Line Color' containment reference.
  See Also:
    `GenDiagramPreferences.getNoteLineColor()`
  ** Generated **

### isShowConnectionHandles

    public boolean isShowConnectionHandles()

  Specified by:
    `isShowConnectionHandles` in interface `GenDiagramPreferences`
  Returns:
    the value of the 'Show Connection Handles' attribute.
  See Also:
    `GenDiagramPreferences.setShowConnectionHandles(boolean)`, `GMFGenPackage.getGenDiagramPreferences_ShowConnectionHandles()`
  ** Generated **

### setShowConnectionHandles

    public void setShowConnectionHandles(boolean newShowConnectionHandles)

  Specified by:
    `setShowConnectionHandles` in interface `GenDiagramPreferences`
  Parameters:
    `newShowConnectionHandles` - the new value of the 'Show Connection Handles' attribute.
  See Also:
    `GenDiagramPreferences.isShowConnectionHandles()`
  ** Generated **

### isShowPopupBars

    public boolean isShowPopupBars()

  Specified by:
    `isShowPopupBars` in interface `GenDiagramPreferences`
  Returns:
    the value of the 'Show Popup Bars' attribute.
  See Also:
    `GenDiagramPreferences.setShowPopupBars(boolean)`, `GMFGenPackage.getGenDiagramPreferences_ShowPopupBars()`
  ** Generated **

### setShowPopupBars

    public void setShowPopupBars(boolean newShowPopupBars)

  Specified by:
    `setShowPopupBars` in interface `GenDiagramPreferences`
  Parameters:
    `newShowPopupBars` - the new value of the 'Show Popup Bars' attribute.
  See Also:
    `GenDiagramPreferences.isShowPopupBars()`
  ** Generated **

### isPromptOnDelFromModel

    public boolean isPromptOnDelFromModel()

  Specified by:
    `isPromptOnDelFromModel` in interface `GenDiagramPreferences`
  Returns:
    the value of the 'Prompt On Del From Model' attribute.
  See Also:
    `GenDiagramPreferences.setPromptOnDelFromModel(boolean)`, `GMFGenPackage.getGenDiagramPreferences_PromptOnDelFromModel()`
  ** Generated **

### setPromptOnDelFromModel

    public void setPromptOnDelFromModel(boolean newPromptOnDelFromModel)

  Specified by:
    `setPromptOnDelFromModel` in interface `GenDiagramPreferences`
  Parameters:
    `newPromptOnDelFromModel` - the new value of the 'Prompt On Del From Model' attribute.
  See Also:
    `GenDiagramPreferences.isPromptOnDelFromModel()`
  ** Generated **

### isPromptOnDelFromDiagram

    public boolean isPromptOnDelFromDiagram()

  Specified by:
    `isPromptOnDelFromDiagram` in interface `GenDiagramPreferences`
  Returns:
    the value of the 'Prompt On Del From Diagram' attribute.
  See Also:
    `GenDiagramPreferences.setPromptOnDelFromDiagram(boolean)`, `GMFGenPackage.getGenDiagramPreferences_PromptOnDelFromDiagram()`
  ** Generated **

### setPromptOnDelFromDiagram

    public void setPromptOnDelFromDiagram(boolean newPromptOnDelFromDiagram)

  Specified by:
    `setPromptOnDelFromDiagram` in interface `GenDiagramPreferences`
  Parameters:
    `newPromptOnDelFromDiagram` - the new value of the 'Prompt On Del From Diagram' attribute.
  See Also:
    `GenDiagramPreferences.isPromptOnDelFromDiagram()`
  ** Generated **

### isEnableAnimatedLayout

    public boolean isEnableAnimatedLayout()

  Specified by:
    `isEnableAnimatedLayout` in interface `GenDiagramPreferences`
  Returns:
    the value of the 'Enable Animated Layout' attribute.
  See Also:
    `GenDiagramPreferences.setEnableAnimatedLayout(boolean)`, `GMFGenPackage.getGenDiagramPreferences_EnableAnimatedLayout()`
  ** Generated **

### setEnableAnimatedLayout

    public void setEnableAnimatedLayout(boolean newEnableAnimatedLayout)

  Specified by:
    `setEnableAnimatedLayout` in interface `GenDiagramPreferences`
  Parameters:
    `newEnableAnimatedLayout` - the new value of the 'Enable Animated Layout' attribute.
  See Also:
    `GenDiagramPreferences.isEnableAnimatedLayout()`
  ** Generated **

### isEnableAnimatedZoom

    public boolean isEnableAnimatedZoom()

  Specified by:
    `isEnableAnimatedZoom` in interface `GenDiagramPreferences`
  Returns:
    the value of the 'Enable Animated Zoom' attribute.
  See Also:
    `GenDiagramPreferences.setEnableAnimatedZoom(boolean)`, `GMFGenPackage.getGenDiagramPreferences_EnableAnimatedZoom()`
  ** Generated **

### setEnableAnimatedZoom

    public void setEnableAnimatedZoom(boolean newEnableAnimatedZoom)

  Specified by:
    `setEnableAnimatedZoom` in interface `GenDiagramPreferences`
  Parameters:
    `newEnableAnimatedZoom` - the new value of the 'Enable Animated Zoom' attribute.
  See Also:
    `GenDiagramPreferences.isEnableAnimatedZoom()`
  ** Generated **

### isEnableAntiAlias

    public boolean isEnableAntiAlias()

  Specified by:
    `isEnableAntiAlias` in interface `GenDiagramPreferences`
  Returns:
    the value of the 'Enable Anti Alias' attribute.
  See Also:
    `GenDiagramPreferences.setEnableAntiAlias(boolean)`, `GMFGenPackage.getGenDiagramPreferences_EnableAntiAlias()`
  ** Generated **

### setEnableAntiAlias

    public void setEnableAntiAlias(boolean newEnableAntiAlias)

  Specified by:
    `setEnableAntiAlias` in interface `GenDiagramPreferences`
  Parameters:
    `newEnableAntiAlias` - the new value of the 'Enable Anti Alias' attribute.
  See Also:
    `GenDiagramPreferences.isEnableAntiAlias()`
  ** Generated **

### isShowGrid

    public boolean isShowGrid()

  Specified by:
    `isShowGrid` in interface `GenDiagramPreferences`
  Returns:
    the value of the 'Show Grid' attribute.
  See Also:
    `GenDiagramPreferences.setShowGrid(boolean)`, `GMFGenPackage.getGenDiagramPreferences_ShowGrid()`
  ** Generated **

### setShowGrid

    public void setShowGrid(boolean newShowGrid)

  Specified by:
    `setShowGrid` in interface `GenDiagramPreferences`
  Parameters:
    `newShowGrid` - the new value of the 'Show Grid' attribute.
  See Also:
    `GenDiagramPreferences.isShowGrid()`
  ** Generated **

### isShowRulers

    public boolean isShowRulers()

  Specified by:
    `isShowRulers` in interface `GenDiagramPreferences`
  Returns:
    the value of the 'Show Rulers' attribute.
  See Also:
    `GenDiagramPreferences.setShowRulers(boolean)`, `GMFGenPackage.getGenDiagramPreferences_ShowRulers()`
  ** Generated **

### setShowRulers

    public void setShowRulers(boolean newShowRulers)

  Specified by:
    `setShowRulers` in interface `GenDiagramPreferences`
  Parameters:
    `newShowRulers` - the new value of the 'Show Rulers' attribute.
  See Also:
    `GenDiagramPreferences.isShowRulers()`
  ** Generated **

### isSnapToGrid

    public boolean isSnapToGrid()

  Specified by:
    `isSnapToGrid` in interface `GenDiagramPreferences`
  Returns:
    the value of the 'Snap To Grid' attribute.
  See Also:
    `GenDiagramPreferences.setSnapToGrid(boolean)`, `GMFGenPackage.getGenDiagramPreferences_SnapToGrid()`
  ** Generated **

### setSnapToGrid

    public void setSnapToGrid(boolean newSnapToGrid)

  Specified by:
    `setSnapToGrid` in interface `GenDiagramPreferences`
  Parameters:
    `newSnapToGrid` - the new value of the 'Snap To Grid' attribute.
  See Also:
    `GenDiagramPreferences.isSnapToGrid()`
  ** Generated **

### getRulerUnits

    public RulerUnits getRulerUnits()

  Specified by:
    `getRulerUnits` in interface `GenDiagramPreferences`
  Returns:
    the value of the 'Ruler Units' attribute.
  See Also:
    `RulerUnits`, `GenDiagramPreferences.setRulerUnits(RulerUnits)`, `GMFGenPackage.getGenDiagramPreferences_RulerUnits()`
  ** Generated **

### setRulerUnits

    public void setRulerUnits(RulerUnits newRulerUnits)

  Specified by:
    `setRulerUnits` in interface `GenDiagramPreferences`
  Parameters:
    `newRulerUnits` - the new value of the 'Ruler Units' attribute.
  See Also:
    `RulerUnits`, `GenDiagramPreferences.getRulerUnits()`
  ** Generated **

### getGridSpacing

    public double getGridSpacing()

  Specified by:
    `getGridSpacing` in interface `GenDiagramPreferences`
  Returns:
    the value of the 'Grid Spacing' attribute.
  See Also:
    `GenDiagramPreferences.setGridSpacing(double)`, `GMFGenPackage.getGenDiagramPreferences_GridSpacing()`
  ** Generated **

### setGridSpacing

    public void setGridSpacing(double newGridSpacing)

  Specified by:
    `setGridSpacing` in interface `GenDiagramPreferences`
  Parameters:
    `newGridSpacing` - the new value of the 'Grid Spacing' attribute.
  See Also:
    `GenDiagramPreferences.getGridSpacing()`
  ** Generated **

### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.